Page MenuHomeFreeBSD

shells/xonsh: Upgrade to version 0.7.8
ClosedPublic

Authored by larafercue_gmail.com on Sep 13 2018, 2:27 PM.

Details

Summary
Test Plan

portlint:ok
manual testing (12.0-ALPHA3, amd64):ok
poudriere (11.2-RELEASE, amd64):ok

Diff Detail

Repository
rP FreeBSD ports repository
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

By the way, I'm the maintainer of the port

0mp added reviewers: mat, krion.
0mp added a subscriber: krion.

Looks fine. Thank you!

@mat, @krion, may I have your approval to commit?

This revision is now accepted and ready to land.Sep 13 2018, 4:21 PM
shells/xonsh/Makefile
20 ↗(On Diff #48002)

Why change this, it was correct before, autoplist depend on distutils.

Leaving the dependencies as they where

This revision now requires review to proceed.Sep 14 2018, 11:08 AM

Reverting the sorting of dependencies.

As instructed by mat@

shells/xonsh/Makefile
20 ↗(On Diff #48002)

Interesting. I guess we should update our handbook then: Example 6.21. Makefile for a Simple Python Module is wrong:

PORTNAME=	sample
DISTVERSION=	1.2.3
CATEGORIES=	devel

MAINTAINER=	john@doe.tld
COMMENT=	Python sample module

RUN_DEPENDS=	${PYTHON_PKGNAMEPREFIX}six>0:devel/py-six@${PY_FLAVOR}

USES=		python
USE_PYTHON=	autoplist distutils

.include <bsd.port.mk>
This revision was not accepted when it landed; it landed in state Needs Review.Sep 15 2018, 12:35 PM
This revision was automatically updated to reflect the committed changes.